<?php
session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

if($_GET['orden']) $orden=$_GET['orden']; else $orden=$_POST['orden'];
if($_GET['numalbaran']) $numAlbaran=$_GET['numalbaran']; else $numAlbaran=$_POST['numalbaran'];


$peticion='SGAPackingListPalet#'.$_SESSION['orden']['Empresa'].'#'.$_SESSION['usuario']['Usuario'].'#INFO2#'.$orden;
$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);

$infoPalet=$resultado[0];

if($_GET['traza']=='si') {
	echo "<p>".$peticion."</p>";
	print_r($resultado);
}

$packings=arreglaArrayPXMobileProxiumResult($infoPalet['PackingListsCoincidentes']);

if(count($packings)==0) {

	?><p>No se ha encontrado ningún Packing List disponible para esta Orden de Preparación.</p><?php

}

?>
<p><input type="submit" name="botonCrearNuevoPackingList" id="botonCrearNuevoPackingList" value="Crear nuevo Packing List" class="boton"/></p>

<input name="packinglistseleccionado" id="packinglistseleccionado" type="hidden" value="" />

<?php

if(count($packings)>0) {

	?>
    <p>O selecciona uno de los Packing Lists disponibles para esta Orden de Preparación:</p>
    
    <table class="tablaFormateada">
    
    	<tr>
        	<th>Packing List</th>
            <th>Preparaciones asociadas</th>
            <th>Agrupaciones incluidas</th>
    	</tr>
        
        <?php foreach($packings as $packing) { ?>
        
        <?php $ordenes=arreglaArrayPXMobileProxiumResult($packing['OrdenesPackingList']); ?>
        <?php $paletsUnicos=array(); ?>
        
        <tr <?php if($packing['AlbaranEmitido']!='S') { ?>class="selectorPacking clicable"<?php } else { ?>class="selectorPackingIncorrecto clicable" <?php } ?> packing="<?php echo $packing['PLCoincidente']; ?>">
        
        	<td valign="top" style="width:260px" <?php if($packing['AlbaranEmitido']=='S') { ?>class="error"<?php } ?>><h2><?php echo $packing['PLCoincidente']; ?> <?php if($packing['AlbaranEmitido']=='S') { ?><img src="<?php echo DIR_IMAGENES; ?>/iconos/advertencia.png" style="width:35px;margin-right:-43px;margin-bottom:-3px" /><?php } ?> <img id="selectorPackingOk<?php echo $packing['PLCoincidente']; ?>" src="<?php echo DIR_IMAGENES; ?>/ok.png" style="width:35px;margin-right:-43px;display:none" class="selectorPackingOk"/></h2></td>
            
            <td valign="top">
            <p style="margin:15px;">
            <?php foreach($ordenes as $ordenIncluida) { ?>
            	<?php $paletsIncluidos=arreglaArrayPXMobileProxiumResult($ordenIncluida['PaletsPackingList']); ?>
                <?php
                foreach($paletsIncluidos as $paletIncluido) {
					if(!array_key_exists($paletIncluido['IdPalet'],$paletsUnicos) && !$paletIncluido['PaletPadre']) $paletsUnicos[$paletIncluido['IdPalet']]=$paletIncluido;
				}
				?>
            	<?php echo $ordenIncluida['OrdenPreparacion']; ?><br />
            <?php } ?>
            </p>
            </td>
            
            <td valign="top">
            
            <?php foreach($paletsUnicos as $paletUnico) { ?>
            	<p style="margin:15px;">
            	<?php if($paletUnico['EsCaja']=='S') { ?>
                <img src="<?php echo DIR_IMAGENES; ?>/caja-vacia.png" width="40" style="margin-bottom:-10px"/>
                <?php } else { ?>
                <img src="<?php echo DIR_IMAGENES; ?>/palet-vacio<?php if($_SESSION['tiposPalet'][$palet['TipoPalet']]['CHEP']=='S') { ?>-chep<?php } ?>.png" width="50" style="margin-bottom:-10px"/>
                <?php } ?>
                <?php echo $paletUnico['IdPalet']; ?>
                </p>
            <?php } ?>
            
            </td>
            
    	</tr>
        
        <?php } ?>
        
    </table>
	
    <p><input type="submit" name="botonAsociarPackingList" id="botonAsociarPackingList" value="Asociar a Packing List seleccionado" class="boton"/></p>
    
    <?php

}
?>
<p><input type="submit" name="botonCancelarElegirPackingList" id="botonCancelarElegirPackingList" value="Cancelar" class="boton reducido"/></p>

<script>

	$(document).ready(function(){
	
		$('#botonCancelarElegirPackingList').on('click',function(){
		
			//04-03-2021 en el caso que la OP esté iniciada (bloqueada por usuario) la paramos
			<?php if($_SESSION['orden']['Estado']=='Iniciada') { ?>
			$('#popupCargando').show();
			$.post( "<?php echo $rutaHtml; ?>/contenidos/orden-preparacion-finalizar.php" )
			.done(function(data) {
				var resultado=data.split('#');
				if(resultado[0]==1) {
					$('#popupCargando').hide();
					alert('Error: '+resultado[1]);
				}
				else window.location='<?php echo $rutaHtml; ?>/orden-preparacion-S.php?orden=<?php echo $_SESSION['orden']['OrdenPreparacion']; ?>&empresa=<?php echo $_SESSION['orden']['Empresa']; ?>';	
			});
			<?php } ?>
		
			$('#popupPackingListsContenido').hide();
			$('#popupPackingLists').hide();
			
		});
		
		$('.selectorPacking').on('click',function(){
			
			var packing=$(this).attr('packing');
			$('.selectorPackingOk').hide();
			
			if($('#packinglistseleccionado').val()==packing) {
				$('#selectorPackingOk'+packing).hide();
				$('#packinglistseleccionado').val('');
			}
			else {
				$('#selectorPackingOk'+packing).show();
				$('#packinglistseleccionado').val(packing);
			}
			
		});
		
		$('.selectorPackingIncorrecto').on('click',function(){
			alert('La Orden actual no puede incluirse en este Packing List<br>porque ya hay órdenes con albarán generado.',null,'advertencia');
		});
		
		$('#botonAsociarPackingList').on('click',function(){
			//alert('<?php echo $orden; ?> / '+$('#packinglistseleccionado').val());
			if( $('#packinglistseleccionado').val()!='' ) {
				asociaOrdenPacking('<?php echo $orden; ?>',$('#packinglistseleccionado').val(),'<?php echo $numAlbaran; ?>');
			}
			else {
				alert('No has seleccionado ninguno de los Packing Lists propuestos',null,'advertencia');
			}
		});
		
		$('#botonCrearNuevoPackingList').on('click',function(){
			asociaOrdenPacking('<?php echo $orden; ?>',null,'<?php echo $numAlbaran; ?>');
		});
	
	});

</script>